/* https://0x5fbe.id :: design inspiration */
/* Version 1.7.4, last updated 2025-19-01 */
/* Massive thanks to https://0x5fbe.id for inspiration */

/* Enhanced and improved by ILuxa */
/* Original https://archive.votv.zip/styles.css */

@font-face {
    font-family: 'JetBrains';
    font-display: swap;
    font-weight: 300;
    src: local('JetBrains'), url('fonts/JetBrainsMonoNL-Light.ttf');
    font-style: normal;
}

@font-face {
    font-family: 'Fixedsys';
    font-display: swap;
    font-weight: normal;
    font-style: normal;
    src: local('Fixedsys'), url('fonts/Fixedsys.ttf');
}

html {
    height: 100%;
    background: black url(/images/bg.png) no-repeat center center fixed;
    background-size: cover;
    scrollbar-width: none;
}

body {
    margin: 0;
    padding: 0;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    font-family: sans-serif !important;
}

.content-box {
    width: 55rem;
    margin: 2rem auto;
    padding: 50px 50px 30px 50px;
    padding-top: 30px;
    border-radius: 15px;
    background-color: #000000d6;
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    -ms-overflow-style: none;
    box-sizing: border-box;
    position: relative;
    z-index: 11;
    /* min-width: 55rem; */
}

h1,
h2,
h3,
h4,
h5,
h6,
.accordion-header {
    font-weight: bolder;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

* {
    font-family: 'JetBrains', monospace;
    color: #e3e3e3;
    margin: 0;
    font-size: 14px;
    letter-spacing: -0.5px;
    line-height: 15px;
}

a {
    text-decoration: none;
}

br {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

td {
    font-style: normal;
}

u::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 3px;
    background: linear-gradient(to right, #ce99ff, #5b00af, #ce99ff);
    background-size: 200% 100%;
    animation: underline-gradient 3s linear infinite;
}

h1 {
    display: flex;
    align-items: center;
    font-size: 1.5rem;
    margin-top: 1rem;
}

h1::after {
    content: '';
    flex-grow: 1;
    height: 4px;
    margin-left: 1rem;
    background: linear-gradient(to right, #0099ff, #0f0f0f00);
}

*::before,
*::after,
.directory {
    color: #cccccc;
}

*::after {
    font-size: 0.8em;
}

h1::before {
    margin-right: 0.5rem;
}

h1::before {
    content: '# ';
}


.accordion {
    margin-bottom: 1rem;
    margin-top: 1rem;
}

.accordion-header {
    background: none;
    border: none;
    padding: 0.6rem 0;
    font-size: 1.1rem;
    cursor: url('/images/cursor/cursorpoint.png') 6 2, pointer;
    transition: box-shadow 0.4s ease-in-out;
    user-select: none;
    display: flex;
    align-items: center;
    width: 100%;
    color: white;
    font-size-adjust: 0.5;
    box-shadow: 0 0 0 0px transparent;
    outline: none;
}

.accordion-header::before {
    content: '## ';
    margin-right: 0.5rem;
    color: #707070;
}

.accordion-header::after {
    content: '+';
    margin-left: auto;
    flex-shrink: 0;
    color: #a1a1a1;
}

.accordion-header[aria-expanded="true"]::after {
    content: '-';
}

.accordion-header:hover {
    box-shadow: 0 0 0 1px #0099ff;
}

.accordion-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease-out;
    opacity: 0;
    transition: max-height 0.4s ease-out, opacity 0.2s ease-out 0.1s;
}

.accordion-content.open {
    max-height: 500px;
    opacity: 1;
    transition: max-height 0.4s ease-in, opacity 0.2s ease-in;
}

.link-container,
.settings-container {
    padding-left: 10px;
    flex-wrap: nowrap;
    flex-direction: column;
    justify-content: flex-start;
}

.link-container p,
.settings-container p,
.link {
    display: flex;
    align-items: center;
    margin-top: 4px;
}

.link-container p::before,
.link::before {
    content: '⇒ ';
    margin-right: 0.5rem;
    position: relative;
}

.directory::before {
    content: '$ ';
}

.info-head::before {
    content: '> ';
}

details.h2 summary,
details.h3 summary {
    display: flex;
    align-items: center;
    padding: 0.6rem 0;
}

summary::after {
    content: '+';
    margin-left: auto;
    flex-shrink: 0;
}

details[open]>summary::after {
    content: '-';
}

details[open] {
    margin-bottom: 1rem
}

summary:hover {
    outline-width: 1px;
}

a:focus-visible {
    text-decoration-thickness: 2px;
    outline: 3px solid #000000;
    outline-offset: 2px;
}

a.img88x31,
a.img88x31 img {
    padding: 0;
    display: inline-block;
    user-select: none;
}

.linka {
    text-decoration: none;
    user-select: none;
    font-weight: bold;
    padding: 1px 2px;
    border-radius: 4px;
    display: inline-block;
    transition: background-color 0.4s, color 0.4s;
    color: inherit;
}

.maybe-bold {
    font-weight: bold;
}

.version-info {
    font-size: 2em;
    margin-top: 20px;
    margin-bottom: 10px;
}

.strikethrough {
    text-decoration: line-through;
}

.img88x31 .button-icon,
a.img88x31 {
    display: inline-block;
    width: 88px;
    height: 31px;
    background-repeat: no-repeat;
    background-size: contain;
    transition: background-image 0.3s ease;
}

.link2,
.link3,
.link4 {
    display: flex;
    align-items: center;
}

.link2,
.link3,
.link4 {
    margin: 0.5rem 0;
    border: 2px solid;
    padding: 10px;
    border-radius: 10px;
}

.link2:hover,
.link3:hover,
.link4:hover {
    transform: translateY(-2px);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.3);
}

.link2,
.link3,
.link4 {
    transition: transform 0.4s ease-out, box-shadow 0.2s ease-out;
    user-select: none;
}

.link3,
.link4 {
    height: 16px;
    width: fit-content;
}

.link4 {
    flex-grow: 1;
    flex-basis: 0;
}

.button-group-row {
    display: flex;
    gap: 15px;
    flex-wrap: wrap;
}

.backbut {
    position: fixed;
    top: 20px;
    left: 20px;
    z-index: 900;
    backdrop-filter: blur(2px);
    display: none;
}

.link2:focus,
.link3:focus,
.link4:focus {
    background: black;
}

.link2:focus p,
.link2:focus b,
.link3:focus p,
.link3:focus b,
.link4:focus p,
.link4:focus b {
    color: white;
}

.link2 .img,
.link3 .img,
.link4 .img {
    position: relative;
    display: inline-block;
}

.link2 .img {
    margin-left: auto;
}

.link3 .img,
.link4 .img {
    margin-right: 10px;
}

.link2 img,
.link3 img,
.link4 img {
    margin-right: 0;
    position: relative;
}

.link2 .img::before,
.link3 .img::before,
.link4 .img::before {
    content: "";
    position: absolute;
    width: 24px;
    height: 24px;
    background-color: white;
    border-radius: 50%;
    border: 1px solid black;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.link3 .img::before,
.link4 .img::before {
    width: 22px;
    height: 22px;
}

.link2 .img:hover::before,
.link2 .img:focus::before,
.link3 .img:hover::before,
.link3 .img:focus::before,
.link4 .img:hover::before,
.link4 .img:focus::before {
    background-color: black;
    border-color: white;
}

.link2 .img:hover img,
.link2 .img:focus img,
.link3 .img:hover img,
.link3 .img:focus img,
.link4 .img:hover img,
.link4 .img:focus img {
    filter: invert(100%);
}

.info {
    padding-right: 5px;
}

.bottom {
    margin-top: 1rem;
    display: flex;
    border-top: 1px solid black;
    padding-top: 1rem;
}

.linka-bottom {
    margin-right: 5px;
}

.bottom div {
    flex: 1;
}

.footer-useless,
.footer-privacy,
.footer-note,
.footer-useless b,
.footer-privacy b,
.footer-note b {
    font-size: 14px;
}

.icon1,
.icon-r,
.icon3,
.icon4 {
    filter: invert(100%);
}

.icon-p {
    object-fit: contain;
    width: 1em;
    height: 1em;
    vertical-align: middle;
    margin: 0 0.05em;
    margin-left: 1rem;
    display: inline-block;
}

.icon4 {
    filter: none !important;
}

h1,
details.h2 summary,
details.h3 summary,
b {
    color: white;
}

*::before,
*::after,
.directory {
    color: #707070;
}

.info-head,
.info p,
summary::after {
    color: #a1a1a1;
}

a:not(.fancy),
.transparency-value {
    color: #0099ff;
}

summary:focus-visible,
summary:hover {
    outline-color: #0099ff;
}

a:focus,
a:hover,
::selection {
    color: black;
    background-color: #0099ff;
}

a:focus-visible {
    outline-color: white;
}

.setting-image {
    height: 20px;
    image-rendering: pixelated;
    user-select: none;
}

input,
textarea {
    border-color: #ccc;
    background-color: #222;
}

input:hover,
textarea:hover {
    border: solid 1px #0099ff;
    background-color: white;
    color: black;
}

::placeholder {
    color: #888;
}

button {
    border-color: #0099ff;
    background-color: #222;
}

u::after {
    background: linear-gradient(to right, #0099ff, #006335, #0099ff);
    background-size: 200% 100%;
}

details.h2::before,
details.h3::before {
    background: #0099ff;
}

.icon3 {
    border-right-color: #777;
}

.link2,
.link3,
.link4 {
    border-color: #0099ff;
    background: linear-gradient(to top, #0099ff33, #0099ff11);
}

.link2:hover:not(:focus),
.link3:hover:not(:focus),
.link4:hover:not(:focus) {
    color: #0099ff;
    background: linear-gradient(to top, #0099ff33, #0099ff11);
}

.link2:focus,
.link3:focus,
.link4:focus {
    background: white;
    color: black;
}

.link2:focus p,
.link2:focus b,
.link3:focus p,
.link3:focus b,
.link4:focus p,
.link4:focus b {
    color: black;
}

.link2 .img::before,
.link3 .img::before,
.link4 .img::before {
    background-color: black;
    border: 1px solid white;
}

.link2 .img:hover::before,
.link2 .img:focus::before,
.link3 .img:hover::before,
.link3 .img:focus::before,
.link4 .img:hover::before,
.link4 .img:focus::before {
    background-color: white;
    border-color: black;
}

.icon,
.icon-r,
.icon3,
.icon4 {
    filter: invert(100%);
    vertical-align: middle;
}

.link2 .img:hover img,
.link2 .img:focus img,
.link3 .img:hover img,
.link3 .img:focus img,
.link4 .img:hover img,
.link4 .img:focus img {
    filter: none;
}

.bottom {
    border-color: #ffffff;
}

a.img88x31,
a.img88x31:hover,
a.img88x31:focus {
    text-decoration: none !important;
    outline: none !important;
    border: none !important;
    box-shadow: none !important;
    color: inherit;
    background-color: transparent;
}

a.img88x31 img,
a.img88x31 .button-icon {
    transition: transform 0.2s ease-in-out, filter 0.3s ease-in-out, opacity 0.3s ease-in-out;
}

a.img88x31:hover img,
a.img88x31:hover .button-icon {
    animation: jiggle 0.2s infinite;
    transform-origin: center center;
    transition: transform 0.5s;
}

@keyframes jiggle {
    0% {
        transform: rotate(-1deg);
        animation-timing-function: ease-in-out;
    }

    50% {
        transform: rotate(1.5deg);
        animation-timing-function: ease-in-out;
    }

    100% {
        transform: rotate(-1deg);
        animation-timing-function: ease-in-out;
    }
}

#image-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    display: flex;
    background-color: rgba(0, 0, 0, 0.85);
    backdrop-filter: blur(6px);
    justify-content: center;
    align-items: center;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.no-scroll {
    overflow: hidden;
}

#image-overlay:not(.hidden) {
    opacity: 1;
    visibility: visible;
}

#image-popup {
    text-align: center;
    transform: scale(0.5);
    transition: transform 0.3s ease;
    user-select: none;
}

#image-overlay:not(.hidden) #image-popup {
    transform: scale(1);
}

#image-popup img {
    max-width: 90vw;
    max-height: 80vh;
    width: auto;
    height: auto;
    user-select: none;
    transform: scale(1.5);
    filter: drop-shadow(0 0 15px var(--glow-color, #0ff));
    filter: drop-shadow(0 0 0 transparent);
    transition: filter 0.5s ease-in-out;
}

@keyframes pulse-glow {
    0% {
        filter: drop-shadow(0 0 0px var(--glow-color));
    }

    30% {
        filter: drop-shadow(0 0 20px var(--glow-color));
    }

    100% {
        filter: drop-shadow(0 0 18px var(--glow-color));
    }
}

#image-popup p {
    color: #ffffff69;
    margin-top: 50px;
    font-family: 'JetBrains', monospace;
    margin-bottom: -50px;
    font-size: 0.9em;
    user-select: none;
}

.original-hidden {
    filter: grayscale(1) brightness(0.6);
    opacity: 0.7;
}

.hidden {
    display: none;
}

/* Cursors Summary - outdated, need new sptrites
summary {
	cursor: url(/images/cursor/arror_down.png) 6 2, pointer;
}

details[open] summary {
    cursor: url(/images/cursor/arror_up.png) 6 2, pointer;
}
*/

html,
body,
.image-popup-default {
    cursor: url('/images/cursor/cursor.png') 2 2, auto;
}

a,
button,
.image-popup-clickable,
[onclick] {
    cursor: url('/images/cursor/cursorpoint.png') 6 2, pointer;
}

input,
textarea,
select {
    cursor: url('/images/cursor/cursortext.png') 4 10, text;
}

.version-id {
    color: gray;
    font-size: 1.7rem;
    margin-right: 0.5rem;
}

.service-card {
    border-radius: 10px;
    padding: 15px;
    margin-top: 1rem;
    border: 0.5px solid #0099ff;
    min-width: 636px;
}

.service-title {
    margin-bottom: 2px;
    margin-top: 7px;
    font-size: 1.1rem;
    padding-left: 2px;
}

.service-links {
    display: flex;
    align-items: center;
    gap: 15px;
}

.service-alt-link {
    padding: 0.5em 0.4em;
    text-decoration: none;
}

.click-hint {
    position: fixed;
    transform: translate(-50%, -50%);
    padding: 8px 15px;
    border-radius: 16px;
    border: 0.5px solid #0099ffaa;
    font-size: 0.9rem;
    pointer-events: none;
    z-index: 1000;
    color: #eee;
    opacity: 0;
    backdrop-filter: blur(2px);
}

.click-hint.animate {
    animation: fadeAndMoveUp 2s forwards ease-out;
}

@keyframes fadeAndMoveUp {
    0% {
        opacity: 1;
        transform: translate(-50%, -100%);
    }

    70% {
        opacity: 1;
        transform: translate(-50%, -180%);
    }

    100% {
        opacity: 0;
        transform: translate(-50%, -180%);
    }
}

.copyable-text {
    cursor: url('/images/cursor/cursorpoint.png') 6 2, pointer;
    display: inline-block;
    user-select: none;
    transition: background-color 0.4s, color 0.4s;
    padding: 2px 6px;
    border-radius: 4px;
    display: inline-block;
}

.copyable-text:hover {
    background-color: #0099ff;
    color: #000000;
}

.copyable-text-h1 {
    cursor: url('/images/cursor/cursorpoint.png') 6 2, pointer;
    */ background-color: #ffffff;
    font-size: 1.5rem;
    user-select: none;
    display: inline-block;
    transition: background-color 0.2s;
    padding: 2px 6px;
    border-radius: 4px;
    display: inline-block;
}

.copyable-text-h1:hover {
    background-color: #0099ff;
    color: #000000;
}

.no-text {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.version-link:hover {
    background-color: #0099ff;
    color: #000000;
    transition: background-color 0.2s, color 0.2s;
}

.ns {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.truncate-hash {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
    max-width: 100%;
}

.flash-pattern-red {
    animation: alternate-flash-red 0.7s infinite step-end;
}

.flash-pattern-yellow {
    animation: alternate-flash-yellow 0.7s infinite step-end;
}

@keyframes alternate-flash-red {

    0%,
    100% {
        color: red;
    }

    50% {
        color: yellow;
    }
}

@keyframes alternate-flash-yellow {

    0%,
    100% {
        color: yellow;
    }

    50% {
        color: red;
    }
}

.flash-fade-out {
    animation: none !important;

    animation-name: fade-to-blue;
    animation-duration: 0.8s animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
}

@keyframes fade-to-blue {
    0% {
        color: inherit;
    }

    100% {
        color: #0099ff !important;
    }
}

.detail-line {
    display: flex;
    justify-content: space-between;
    /* margin-bottom: 5px; */
    overflow: hidden;
}

.detail-line .detail-key {
    flex-shrink: 0;
    padding-right: 10px;
    font-weight: bold;
}

.detail-line .detail-value {
    text-align: right;
    min-width: 0;
}

.detail-line {
    align-items: baseline;
}

.detail-value {
    flex-grow: 0;
    margin-left: auto;
}

.version-list-table {
    width: 100%;
    border-collapse: collapse;
}

.delete-status {
    color: #ff0000;
    padding-right: 5px;
}

.version-list-table th,
.version-list-table td {
    padding: 7px 4px;
    text-align: left;
    border-bottom: 1px dashed #303030;
    border-right: 1px dashed #3030303b;
    color: inherit;
}

.version-list-table th:last-child,
.version-list-table td:last-child {
    border-right: none;
}

.version-list-table th {
    border-right: none !important;
}

.version-list-table th {
    color: #0099ff;
    font-weight: normal;
    padding-left: 10px
}

.version-list-table tr:hover {
    background-color: rgba(0, 153, 255, 0.1);
}

.version-link {
    text-decoration: none;
    color: #0099ff;
    padding: 2px 6px;
    border-radius: 4px;
    display: inline-block;
}

.version-link:hover {
    text-decoration: underline;
}

.version-tag {
    background-color: #0099ff5c;
    color: white;
    padding: 2px 6px;
    border-radius: 3px;
    font-size: 0.8em;
    display: inline-block;
    text-align: center;
}

#searchInput {
    width: 96%;
    padding: 10px;
    background-color: #39393900;
    border: 1px solid #0099ff;
    color: #fff;
    border-radius: 4px;
}

#searchInput::placeholder {
    color: #0099ff70;
}

.download-check-size-status[data-archive-status="unavailable"] {
    filter: grayscale(100%);
    opacity: 0.6;
    cursor: not-allowed;
}

.download-check-size-status[data-archive-status="checking"] {
    filter: none;
    opacity: 0.8;
}

.download-check-size-status[data-archive-status="available"] {
    filter: none;
    opacity: 1;
}

.download-check-size-status {
    transition: filter 0.5s ease-in-out, opacity 0.5s ease-in-out;
    pointer-events: auto !important;
}

.control-panel {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 10000;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.btn-wrapper {
    position: relative;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#reload-btn {
    width: 100%;
    height: 100%;
    border: none;
    background: none;
    padding: 0;
    transition: filter 0.3s, opacity 0.3s;
}

#reload-btn img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

#reload-btn.state-cooldown {
    filter: grayscale(100%);
    opacity: 0.5;
}

.timer-text {
    font-size-adjust: none;
    color: white;
    text-shadow: 1px 1px 2px black;
    pointer-events: none;
}

#timer-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 16px;
    z-index: 10;
    display: none;
}

#timer-bottom {
    position: absolute;
    bottom: -20px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 14px;
    background: rgba(0, 0, 0, 0.5);
    padding: 0 4px;
    border-radius: 4px;
    display: none;
    white-space: nowrap;
}

.control-panel {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 100;
    display: flex;
    flex-direction: row;
    gap: 15px;
    align-items: flex-start;
    user-select: none;
}

.sound-btn-wrapper {

    width: 40px;
    height: 40px;

    display: flex;
    justify-content: center;
    align-items: center;
}

#sound-btn {
    width: 40px;
    height: 40px;
    border: none;
    background: none;
    padding: 0;
    transition: opacity 0.2s;
}

#sound-icon {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

@media (max-width: 700px) {

    html,
    body {
        overflow-x: hidden;
    }

    * {
        letter-spacing: -0.5px;
        word-spacing: -2px;
    }

    .content-box {
        border: 1px solid transparent !important;
        max-width: 100%;
        font-size: 14px;
        margin: 1px;
        margin: 0;
        background-color: #000000a3;
        padding: 15px;
        padding-top: 60px;
        border-radius: 0;
    }

    .control-panel {
        top: 10px;
        right: 10px;
    }

    .link-container p,
    .link {
        margin: 0 0;
    }

    .link-container,
    .settings-container {
        padding-left: 0;
        padding-top: 1rem;
    }

    .link-container p,
    .link {
        display: flex;
        align-items: center;
        margin: 0.5rem 0;
    }

    .bottom {
        flex-direction: column;
    }

    .directory {
        display: none;
    }

    .version-id {
        font-size: 1.2em;
        margin-right: 0px;
    }

    .container {
        padding: 10px;
        max-width: 100%;
    }

    .backbut {
        position: absolute;
        top: 5px;
        left: 13px;
        display: flex;
    }

    .control-panel {
        position: absolute;
    }

    .service-card,
    .history-card {
        padding: 10px;
        margin: 10px 0;
        min-width: 0;

    }

    .link-button {
        display: block;
        width: 100%;
        box-sizing: border-box;
        margin-left: 0 !important;
        margin-bottom: 10px;
        text-align: center;
    }

    .version-list-table th,
    .version-list-table td {
        padding: 8px 3px;
        font-size: 0.9em;
    }

    .detail-line .detail-key {
        padding-right: 0;
        margin-bottom: 1px;
    }

    .download-buttons img {
        width: 16px;
        height: 16px;
    }

    .download-buttons a {
        padding: 8px;
        font-size: 0.9em;
        margin-right: 5px;
    }

    .copyable-text {
        font-size: 0.9em;
    }

    .build-column {
        display: none !important;
    }
}